## rock-master-20.06-gui-pose3d-editor 0.20161011

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(pose3d_editor 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
add_subdirectory(modifiable_scene)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

SET(MOC_HDRS
    Pose3dEditor.hpp
    Pose3dEditorPlugin.hpp
    DraggerPoseUpdateQt.hpp
)

SET(HDRS
    Pose3dEditor.hpp
    DraggerPoseUpdateQt.hpp
)

FILE(GLOB SRCS
    *.cpp
)

FILE(GLOB UI_FILES
    *.ui
)

SET(QtApp_RCCS resources.qrc)

rock_vizkit_widget(pose3d_editor
    SOURCES ${SRCS} ${QtApp_RCC_SRCS} ${HDRS}
    HEADERS ${HDRS}
    MOC ${MOC_HDRS}
    DEPS_PKGCONFIG QtCore QtGui QtOpenGL
    UI ${UI_FILES}
    DEPS modifiable_scene
)

QT4_ADD_RESOURCES(QtApp_RCC_SRCS ${QtApp_RCCS})

=== debian/changelog ===
rock-master-20.06-gui-pose3d-editor (0.20161011-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-gui/gui-pose3d_editor.git
  * branch: refs/heads/master
  * commit: ca6c0f04e7b001cbcdb2612f720279a252a1bd65
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 13:06:02 +0200

=== debian/control ===
Source: rock-master-20.06-gui-pose3d-editor
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopenscenegraph-dev, libqt4-dev, libqt4-opengl-dev, qt4-qmake, rock-master-20.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-gui-pose3d-editor
Architecture: any
Depends: ${shlibs:Depends}, cmake, libopenscenegraph-dev, libqt4-dev, libqt4-opengl-dev, qt4-qmake, rock-master-20.06-base-cmake, ruby
Description: 
 No documentation in manifest
